# Class ConstantGenerator<T extends Number>

java.lang.Object
org.uncommons.maths.number.ConstantGenerator<T>

Type Parameters:
  `T` - The numeric type (Integer, Long, Double, etc.) of the constant.

All Implemented Interfaces:
  `NumberGenerator<T>`

public class ConstantGenerator<T extends Number> extends Object implements NumberGenerator<T>
Convenience implementation of `NumberGenerator` that always returns the same value.

## Constructor Summary

Constructors
Constructor
Description
`ConstantGenerator(T constant)`
Creates a number generator that always returns the same values.

## Method Summary

Modifier and Type
Method
Description
`T`
`nextValue()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstantGenerator

public ConstantGenerator(T constant)
Creates a number generator that always returns the same values.

Parameters:
  `constant` - The value to be returned by all invocations of the `nextValue()` method.

## Method Details

### nextValue

public T nextValue()

Specified by:
  `nextValue` in interface `NumberGenerator<T extends Number>`
Returns:
  The constant value specified when the generator was constructed.